Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst] enlightenment Block auflösen...?
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
uhai
l33t
l33t


Joined: 23 Aug 2007
Posts: 872
Location: Eppingen, Germany

PostPosted: Sat Mar 15, 2014 6:35 pm    Post subject: [gelöst] enlightenment Block auflösen...? Reply with quote

Hallo,

den ganzen Tag habe ich Slots bereinigt, USE-Flags ergänzt und maskiert/unmaskiert. Jetzt ist dieser Block übrig:

Code:
[blocks B      ] media-libs/edje ("media-libs/edje" is blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/embryo ("dev-libs/embryo" is blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/efreet ("dev-libs/efreet" is blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/eet ("dev-libs/eet" is blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/eina ("dev-libs/eina" is blocking dev-libs/efl-1.9.0)
[blocks B      ] media-libs/evas ("media-libs/evas" is blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/efreet ("dev-libs/efreet" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] media-libs/emotion ("media-libs/emotion" is hard blocking dev-libs/efl-1.9.0)[blocks B      ] media-libs/edje ("media-libs/edje" is blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/embryo ("dev-libs/embryo" is blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/efreet ("dev-libs/efreet" is blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/eet ("dev-libs/eet" is blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/eina ("dev-libs/eina" is blocking dev-libs/efl-1.9.0)
[blocks B      ] media-libs/evas ("media-libs/evas" is blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/efreet ("dev-libs/efreet" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] media-libs/emotion ("media-libs/emotion" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] media-libs/ethumb ("media-libs/ethumb" is blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/eeze ("dev-libs/eeze" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] media-libs/ethumb ("media-libs/ethumb" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/eet ("dev-libs/eet" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/ecore ("dev-libs/ecore" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] media-libs/emotion ("media-libs/emotion" is blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/eio ("dev-libs/eio" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/ecore ("dev-libs/ecore" is blocking dev-libs/efl-1.9.0)
[blocks B      ] media-libs/evas ("media-libs/evas" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/eio ("dev-libs/eio" is blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/eina ("dev-libs/eina" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] media-libs/edje ("media-libs/edje" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/embryo ("dev-libs/embryo" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/eeze ("dev-libs/eeze" is blocking dev-libs/efl-1.9.0)
 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.
  (media-libs/edje-1.7.9::gentoo, ebuild scheduled for merge) pulled in by
    >=media-libs/edje-1.7.9 required by (x11-wm/enlightenment-0.17.5::gentoo, installed)
    >=media-libs/edje-1.7.0 required by (x11-terms/terminology-0.4.0_alpha1::gentoo, installed)
    >=media-libs/edje-1.7.9 required by (media-libs/ethumb-1.7.9::gentoo, installed)
    >=media-libs/edje-1.7.9 required by (media-libs/emotion-1.7.9::gentoo, installed)
  (dev-libs/efreet-1.7.9::gentoo, installed) pulled in by
    >=dev-libs/efreet-1.7.9 required by (x11-wm/enlightenment-0.17.5::gentoo, installed)
    >=dev-libs/efreet-1.7.0 required by (x11-terms/terminology-0.4.0_alpha1::gentoo, installed)
  (dev-libs/eeze-1.7.9::gentoo, installed) pulled in by
    >=dev-libs/eeze-1.7.9 required by (x11-wm/enlightenment-0.17.5::gentoo, installed)
    >=dev-libs/eeze-1.7.9 required by (media-libs/emotion-1.7.9::gentoo, installed)
  (dev-libs/eet-9999::gentoo, installed) pulled in by
    >=dev-libs/eet-1.7.9 required by (x11-wm/enlightenment-0.17.5::gentoo, installed)
    >=dev-libs/eet-1.7.0 required by (x11-terms/terminology-0.4.0_alpha1::gentoo, installed)
    >=dev-libs/eet-9999 required by (media-libs/evas-9999::gentoo, installed)
    >=dev-libs/eet-1.7.9 required by (dev-libs/eio-1.7.9::gentoo, installed)
    >=dev-libs/eet-1.7.9 required by (media-libs/edje-1.7.9::gentoo, ebuild scheduled for merge)
    >=dev-libs/eet-1.7.9 required by (dev-libs/eeze-1.7.9::gentoo, installed)
    >=dev-libs/eet-1.7.9 required by (dev-libs/efreet-1.7.9::gentoo, installed)
  (media-libs/evas-9999::gentoo, installed) pulled in by
    >=media-libs/evas-1.7.0 required by (x11-terms/terminology-0.4.0_alpha1::gentoo, installed)
    >=media-libs/evas-1.7.9 required by (media-plugins/evas_generic_loaders-1.7.9::gentoo, installed)
    >=media-libs/evas-1.7.9[eet,X,jpeg,png] required by (x11-wm/enlightenment-0.17.5::gentoo, installed)
    >=media-libs/evas-1.7.9 required by (dev-libs/e_dbus-1.7.9::gentoo, installed)
    >=media-libs/evas-1.7.9 required by (media-libs/edje-1.7.9::gentoo, ebuild scheduled for merge)
    >=media-libs/evas-1.7.9[directfb?,fbcon?,opengl?,X?,xcb?] (>=media-libs/evas-1.7.9[opengl,X,xcb]) required by (dev-libs/ecore-1.7.9::gentoo, ebuild scheduled for merge)
    >=media-libs/evas-1.7.9 required by (media-libs/ethumb-1.7.9::gentoo, installed)
    >=media-libs/evas-1.7.9 required by (media-libs/emotion-1.7.9::gentoo, installed)
  (media-libs/ethumb-1.7.9::gentoo, installed) pulled in by
    >=media-libs/ethumb-1.7.0[dbus] required by (x11-terms/terminology-0.4.0_alpha1::gentoo, installed)
  (dev-libs/efl-1.9.0::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-libs/efl-1.9.0_beta2[sdl?,png,wayland?,X?] (>=dev-libs/efl-1.9.0_beta2[sdl,png,X]) required by (media-libs/elementary-1.9.0::gentoo, ebuild scheduled for merge)
    dev-libs/efl required by (x11-plugins/echievements-2::gentoo, installed)
    dev-libs/efl required by (dev-games/etrophy-0.5.1::gentoo, installed)
  (dev-libs/eio-1.7.9::gentoo, installed) pulled in by
    >=dev-libs/eio-1.7.9 required by (x11-wm/enlightenment-0.17.5::gentoo, installed)
  (dev-libs/eina-9999::gentoo, installed) pulled in by
    >=dev-libs/eina-1.7.0 required by (x11-terms/terminology-0.4.0_alpha1::gentoo, installed)
    >=dev-libs/eina-1.7.9[mempool-chained-pool] required by (x11-wm/enlightenment-0.17.5::gentoo, installed)
    >=dev-libs/eina-1.7.9 required by (dev-libs/e_dbus-1.7.9::gentoo, installed)
    >=dev-libs/eina-1.7.9 required by (dev-libs/embryo-1.7.9::gentoo, ebuild scheduled for merge)
    >=dev-libs/eina-1.7.9 required by (media-libs/emotion-1.7.9::gentoo, installed)
    >=dev-libs/eina-1.7.9 required by (dev-libs/efreet-1.7.9::gentoo, installed)
    >=dev-libs/eina-1.7.9 required by (media-libs/edje-1.7.9::gentoo, ebuild scheduled for merge)
    >=dev-libs/eina-9999 required by (media-libs/evas-9999::gentoo, installed)
    >=dev-libs/eina-1.7.9 required by (dev-libs/ecore-1.7.9::gentoo, ebuild scheduled for merge)
    >=dev-libs/eina-1.7.9 required by (dev-libs/eeze-1.7.9::gentoo, installed)
    >=dev-libs/eina-9999 required by (dev-libs/eet-9999::gentoo, installed)
    >=dev-libs/eina-1.7.9 required by (media-libs/ethumb-1.7.9::gentoo, installed)
  (media-libs/emotion-1.7.9::gentoo, installed) pulled in by
    media-libs/emotion required by @selected
    >=media-libs/emotion-1.7.0 required by (x11-terms/terminology-0.4.0_alpha1::gentoo, installed)

  (dev-libs/ecore-1.7.9::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-libs/ecore-1.7.9[X,evas,inotify] required by (x11-wm/enlightenment-0.17.5::gentoo, installed)
    >=dev-libs/ecore-1.7.0[evas] required by (x11-terms/terminology-0.4.0_alpha1::gentoo, installed)
    >=dev-libs/ecore-1.7.9 required by (dev-libs/e_dbus-1.7.9::gentoo, installed)
    >=dev-libs/ecore-1.7.9 required by (dev-libs/eio-1.7.9::gentoo, installed)
    >=dev-libs/ecore-1.7.9 required by (dev-libs/efreet-1.7.9::gentoo, installed)
    >=dev-libs/ecore-1.7.9 required by (media-libs/emotion-1.7.9::gentoo, installed)
    >=dev-libs/ecore-1.7.9 required by (media-libs/edje-1.7.9::gentoo, ebuild scheduled for merge)
    >=dev-libs/ecore-1.7.9 required by (media-libs/ethumb-1.7.9::gentoo, installed)
    >=dev-libs/ecore-1.7.9 required by (dev-libs/eeze-1.7.9::gentoo, installed)

[blocks B      ] media-libs/ethumb ("media-libs/ethumb" is blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/eeze ("dev-libs/eeze" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] media-libs/ethumb ("media-libs/ethumb" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/eet ("dev-libs/eet" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/ecore ("dev-libs/ecore" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] media-libs/emotion ("media-libs/emotion" is blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/eio ("dev-libs/eio" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/ecore ("dev-libs/ecore" is blocking dev-libs/efl-1.9.0)
[blocks B      ] media-libs/evas ("media-libs/evas" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/eio ("dev-libs/eio" is blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/eina ("dev-libs/eina" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] media-libs/edje ("media-libs/edje" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/embryo ("dev-libs/embryo" is hard blocking dev-libs/efl-1.9.0)
[blocks B      ] dev-libs/eeze ("dev-libs/eeze" is blocking dev-libs/efl-1.9.0)
 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.
  (media-libs/edje-1.7.9::gentoo, ebuild scheduled for merge) pulled in by
    >=media-libs/edje-1.7.9 required by (x11-wm/enlightenment-0.17.5::gentoo, installed)
    >=media-libs/edje-1.7.0 required by (x11-terms/terminology-0.4.0_alpha1::gentoo, installed)
    >=media-libs/edje-1.7.9 required by (media-libs/ethumb-1.7.9::gentoo, installed)
    >=media-libs/edje-1.7.9 required by (media-libs/emotion-1.7.9::gentoo, installed)
  (dev-libs/efreet-1.7.9::gentoo, installed) pulled in by
    >=dev-libs/efreet-1.7.9 required by (x11-wm/enlightenment-0.17.5::gentoo, installed)
    >=dev-libs/efreet-1.7.0 required by (x11-terms/terminology-0.4.0_alpha1::gentoo, installed)
  (dev-libs/eeze-1.7.9::gentoo, installed) pulled in by
    >=dev-libs/eeze-1.7.9 required by (x11-wm/enlightenment-0.17.5::gentoo, installed)
    >=dev-libs/eeze-1.7.9 required by (media-libs/emotion-1.7.9::gentoo, installed)
  (dev-libs/eet-9999::gentoo, installed) pulled in by
    >=dev-libs/eet-1.7.9 required by (x11-wm/enlightenment-0.17.5::gentoo, installed)
    >=dev-libs/eet-1.7.0 required by (x11-terms/terminology-0.4.0_alpha1::gentoo, installed)
    >=dev-libs/eet-9999 required by (media-libs/evas-9999::gentoo, installed)
    >=dev-libs/eet-1.7.9 required by (dev-libs/eio-1.7.9::gentoo, installed)
    >=dev-libs/eet-1.7.9 required by (media-libs/edje-1.7.9::gentoo, ebuild scheduled for merge)
    >=dev-libs/eet-1.7.9 required by (dev-libs/eeze-1.7.9::gentoo, installed)
    >=dev-libs/eet-1.7.9 required by (dev-libs/efreet-1.7.9::gentoo, installed)
  (media-libs/evas-9999::gentoo, installed) pulled in by
    >=media-libs/evas-1.7.0 required by (x11-terms/terminology-0.4.0_alpha1::gentoo, installed)
    >=media-libs/evas-1.7.9 required by (media-plugins/evas_generic_loaders-1.7.9::gentoo, installed)
    >=media-libs/evas-1.7.9[eet,X,jpeg,png] required by (x11-wm/enlightenment-0.17.5::gentoo, installed)
    >=media-libs/evas-1.7.9 required by (dev-libs/e_dbus-1.7.9::gentoo, installed)
    >=media-libs/evas-1.7.9 required by (media-libs/edje-1.7.9::gentoo, ebuild scheduled for merge)
    >=media-libs/evas-1.7.9[directfb?,fbcon?,opengl?,X?,xcb?] (>=media-libs/evas-1.7.9[opengl,X,xcb]) required by (dev-libs/ecore-1.7.9::gentoo, ebuild scheduled for merge)
    >=media-libs/evas-1.7.9 required by (media-libs/ethumb-1.7.9::gentoo, installed)
    >=media-libs/evas-1.7.9 required by (media-libs/emotion-1.7.9::gentoo, installed)
  (media-libs/ethumb-1.7.9::gentoo, installed) pulled in by
    >=media-libs/ethumb-1.7.0[dbus] required by (x11-terms/terminology-0.4.0_alpha1::gentoo, installed)
  (dev-libs/efl-1.9.0::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-libs/efl-1.9.0_beta2[sdl?,png,wayland?,X?] (>=dev-libs/efl-1.9.0_beta2[sdl,png,X]) required by (media-libs/elementary-1.9.0::gentoo, ebuild scheduled for merge)
    dev-libs/efl required by (x11-plugins/echievements-2::gentoo, installed)
    dev-libs/efl required by (dev-games/etrophy-0.5.1::gentoo, installed)
  (dev-libs/eio-1.7.9::gentoo, installed) pulled in by
    >=dev-libs/eio-1.7.9 required by (x11-wm/enlightenment-0.17.5::gentoo, installed)
  (dev-libs/eina-9999::gentoo, installed) pulled in by
    >=dev-libs/eina-1.7.0 required by (x11-terms/terminology-0.4.0_alpha1::gentoo, installed)
    >=dev-libs/eina-1.7.9[mempool-chained-pool] required by (x11-wm/enlightenment-0.17.5::gentoo, installed)
    >=dev-libs/eina-1.7.9 required by (dev-libs/e_dbus-1.7.9::gentoo, installed)
    >=dev-libs/eina-1.7.9 required by (dev-libs/embryo-1.7.9::gentoo, ebuild scheduled for merge)
    >=dev-libs/eina-1.7.9 required by (media-libs/emotion-1.7.9::gentoo, installed)
    >=dev-libs/eina-1.7.9 required by (dev-libs/efreet-1.7.9::gentoo, installed)
    >=dev-libs/eina-1.7.9 required by (media-libs/edje-1.7.9::gentoo, ebuild scheduled for merge)
    >=dev-libs/eina-9999 required by (media-libs/evas-9999::gentoo, installed)
    >=dev-libs/eina-1.7.9 required by (dev-libs/ecore-1.7.9::gentoo, ebuild scheduled for merge)
    >=dev-libs/eina-1.7.9 required by (dev-libs/eeze-1.7.9::gentoo, installed)
    >=dev-libs/eina-9999 required by (dev-libs/eet-9999::gentoo, installed)
    >=dev-libs/eina-1.7.9 required by (media-libs/ethumb-1.7.9::gentoo, installed)
  (media-libs/emotion-1.7.9::gentoo, installed) pulled in by
    media-libs/emotion required by @selected
    >=media-libs/emotion-1.7.0 required by (x11-terms/terminology-0.4.0_alpha1::gentoo, installed)

  (dev-libs/ecore-1.7.9::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-libs/ecore-1.7.9[X,evas,inotify] required by (x11-wm/enlightenment-0.17.5::gentoo, installed)
    >=dev-libs/ecore-1.7.0[evas] required by (x11-terms/terminology-0.4.0_alpha1::gentoo, installed)
    >=dev-libs/ecore-1.7.9 required by (dev-libs/e_dbus-1.7.9::gentoo, installed)
    >=dev-libs/ecore-1.7.9 required by (dev-libs/eio-1.7.9::gentoo, installed)
    >=dev-libs/ecore-1.7.9 required by (dev-libs/efreet-1.7.9::gentoo, installed)
    >=dev-libs/ecore-1.7.9 required by (media-libs/emotion-1.7.9::gentoo, installed)
    >=dev-libs/ecore-1.7.9 required by (media-libs/edje-1.7.9::gentoo, ebuild scheduled for merge)
    >=dev-libs/ecore-1.7.9 required by (media-libs/ethumb-1.7.9::gentoo, installed)
    >=dev-libs/ecore-1.7.9 required by (dev-libs/eeze-1.7.9::gentoo, installed)


Kann mir da mal einer schubsen bitte? Ich bekomme das nicht hin....

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org


Last edited by uhai on Sun Mar 30, 2014 11:57 am; edited 1 time in total
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 2277
Location: Germany

PostPosted: Sat Mar 15, 2014 8:27 pm    Post subject: Reply with quote

Hallo uhai

Hm, scheinbar hast du noch veraltete libs installiert - das gibt ggf Blocks mit den neuen >=efl-1.8 all-in-one package

Ein Vorschlag:
Nimm mal alles was enlightenment betrifft aus der world file heraus - und bereinige dann mit einem beherzten "emerge -a --depclean"
und fange dann mit emerge -av enlightenment:0.17 frisch an. (und lass ebuilds aus fremden Overlay bitte erst mal weg)

Beachte auch, solange noch veraltete efl-1.7 libs installiert sind werden sich die neueren >=-efl-1.8 Versionen auch kaum bauen lassen - siehe dazu zb auch im Bug 493536
Von daher ist einmal reinen Tisch zu machen wahrscheinlich am einfachsten, und bei enlightenment idR auch fix erledigt :)
Back to top
View user's profile Send private message
uhai
l33t
l33t


Joined: 23 Aug 2007
Posts: 872
Location: Eppingen, Germany

PostPosted: Mon Mar 17, 2014 8:09 pm    Post subject: Reply with quote

Fast fertig...

Enlightenment runter geschmissen, alle libs manuell aussortiert, world Update lief durch...

Enlightenment wieder einspielen (nach wiki vorgegangen) -> bekomme aber nur 1.7??

Was mache ich falsch?

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 2277
Location: Germany

PostPosted: Tue Mar 18, 2014 9:48 am    Post subject: Reply with quote

Quote:
bekomme aber nur 1.7??
Hm, was bzw welches Paket ist mit 1.7 gemeint?

Den verstehe ich nicht.
Laut der emerge Ausgabe hattest du vorher x11-wm/enlightenment-0.17.5::gentoo installiert. Nun nach dem auflösen der Blocks wurde wahrscheinlich auf die aktuell im Tree verfügbare x11-wm/enlightenment-0.17.6::gentoo Version aktualisiert, welche auch gut funktionieren sollte - ist das so nicht ok?
Back to top
View user's profile Send private message
uhai
l33t
l33t


Joined: 23 Aug 2007
Posts: 872
Location: Eppingen, Germany

PostPosted: Tue Mar 18, 2014 8:08 pm    Post subject: Reply with quote

Stimmt, ist ja 0.17.6. Irgendwie hatte ich im Kopf, dass es eine Version 1.8 in portage gäbe...

Na dann nehm ich halt 0.17.6...

Allerdings scheint die in einen anderen Slot zu wandern:

Code:
[ebuild  NS   ~] x11-wm/enlightenment-0.17.6 [1.0.11]....


uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum